// default-closed.p
//
// This script functions just like the built-in operation of the H0738 device, but it inverses the state of the relay.
//
// On startup, the relay is closed (actuated).
//
// On a button press, the relay opens for a duration between 1 and 9 seconds (which is set with the rotary switch).

var n_dial

@start() {
    setrelay 1
}

@signal(button) {
    if (true) {
        setrelay 0
        n_dial = rotaryswitch()
        sleep n_dial * 1000
        setrelay 1
    }
}


// NOTE: The lines below are required for Pawn Blocks Designer.
// If you edit or remove this comment, you will longer be able
// to edit this program with Pawn Blocks Designer.
//
//-Begin [H0738]
//- 20992	64 48	1
//- 17846	8 26	0	1
//- 26208	64 160	4	0
//- 17846	8 26	0	0
//- 26130	8 52	0	"dial"
//- 17678	8 78	0	"dial"	1000
//- 17846	8 104	0	1
//-End
